Jupiter - Zadanie #1634

Zadanie # 1632 (Zamknigty): Integracja z cermine

Zadanie # 1633 (Zamkniety): Ekstrakcja metadanych z petnych tekstow
Utworzenie serwisu integrujgcego sie z cermine
2017-04-18 09:24 - Michat Komar

Status: Zamkniety Start date: 2017-04-18
Priority: Normalny Due date:

Assignee: Michat Komar % Done: 100%
Category: backend Estimated time: 0.00 hour
Target version: 0.3

Developer: tukasz Waskiewicz Tester: Michat Komar
Description

W ramach zadania nalezy utworzy¢ serwis, posiadajacy 2 metody:

- CurrentDocumentBean createDocument(String fileName, InputStream stream)
- YRelation generateBibliography(String bibliography)

- YAffiliation generateAffiliation(String affiliation)

Pierwsza metoda powinna utworzyc yelement i podpia¢ go pod currentdocumentbean. Ponadto powinna podpia¢ plik z parametru pod
currentdocumentbean oraz doda¢ odpowiedni wpis jako YContentFile w yelemencie.

Associated revisions

Revision 47a18748 - 2017-05-08 11:52 - Lukasz Waskiewicz

refs #1634 zapisanie dokumentu + struktury

Revision b2cc6b8a - 2017-05-08 11:52 - Lukasz Waskiewicz

refs #1634 zapisanie contentu w YElement

Revision 56464f80 - 2017-05-08 11:59 - Lukasz Waskiewicz

refs #1634 import fix

Revision 6aa202e6 - 2017-05-09 12:46 - Lukasz Waskiewicz

refs #1634 korekty do serwisu cermine

Revision 31e30208 - 2017-05-09 12:46 - Lukasz Waskiewicz

refs #1634 zmiana obstugi datasetu

Revision 9a5dd6e5 - 2017-05-10 08:32 - Lukasz Waskiewicz

refs #1634 poprawa testow
Revision 4d28aae0 - 2017-05-10 09:30 - Lukasz Waskiewicz

refs #1634 poprawa testéw

Revision e9cc035f - 2017-05-17 06:22 - Lukasz Waskiewicz

refs #1636 #1634 poprawki w Ul i serwisie

Revision aea0a2b2 - 2017-05-17 09:09 - Lukasz Waskiewicz

refs #1634 wykonczenie serwisu cerminowego

Revision 9257cd4c - 2017-06-22 14:06 - Lukasz Waskiewicz

refs #1634 niepotrzebna klasa

History

#1 - 2017-04-18 13:10 - Michat Komar
- Assignee set to Michat Komar

#2 - 2017-04-24 08:44 - Michat Komar
- Status changed from Nowy to W toku

#3 - 2017-04-24 11:58 - Michat Komar
- Status changed from W toku to Nowy

#4 - 2017-04-24 11:58 - Michat Komar
- Assignee changed from Michat Komar to tukasz Waskiewicz

#5 - 2017-05-08 12:18 - Lukasz Waskiewicz
- Status changed from Nowy to W toku
- % Done changed from 0 to 80

#6 - 2017-05-10 08:37 - Lukasz Waskiewicz

- Status changed from W toku to Testowanie

- Assignee changed from tukasz Waskiewicz to Michat Komar
- % Done changed from 80 to 100

- Developer tukasz Waskiewicz added

- Tester Michat Komar added

#7 - 2017-05-10 08:37 - Lukasz Waskiewicz
- Description updated

#8 - 2017-05-10 08:38 - Lukasz Waskiewicz
- Description updated

#9 - 2017-05-16 09:09 - Michat Komar

- Description updated
- Status changed from Testowanie to Odpowiedz
Trzeba dorobi¢ jeszcze implementacje bibliografii

#10 - 2017-05-16 09:11 - Michat Komar

- Description updated

#11 - 2017-05-16 09:33 - Michat Komar
- Description updated

- Assignee changed from Michat Komar to tukasz Waskiewicz

Trzeba dorobi¢ pozostate metody.

#12 - 2017-05-17 09:43 - Lukasz Waskiewicz
- Status changed from Odpowiedz to Testowanie

- Assignee changed from tukasz Waskiewicz to Michat Komar

skonczone

#13 - 2017-05-22 07:11 - Michat Komar

- Status changed from Testowanie to Rozwigzany

Na razie przetestowatem ekstrakcje metadanych z petnych tesktéw. Zakltadam, Ze reszta tez dziata ok (kod przeniesiony z infony)

#14 - 2017-06-06 11:56 - Michat Komar

- Status changed from Rozwigzany to Zamkniety
